gzfile Struct Reference

## Data Fields

struct zstream | z
VALUE | io
int | level
time_t | mtime
int | os_code
VALUE | orig_name
VALUE | comment
unsigned long | crc
int | lineno
long | ungetc
void(* | end )(struct gzfile *)
rb_encoding * | enc
rb_encoding * | enc2
rb_econv_t * | ec
int | ecflags
VALUE | ecopts
char * | cbuf
VALUE | path

## Detailed Description

Definition at line 1935 of file zlib.c.

## Field Documentation

char* gzfile::cbuf

Definition at line 1952 of file zlib.c.

Referenced by gzfile_free(), gzfile_getc(), and gzfile_new().

VALUE gzfile::comment

Definition at line 1942 of file zlib.c.

Referenced by gzfile_close(), gzfile_make_header(), gzfile_mark(), gzfile_new(), gzfile_read_header(), rb_gzfile_comment(), and rb_gzfile_set_comment().

unsigned long gzfile::crc

Definition at line 1943 of file zlib.c.

Referenced by gzfile_calc_crc(), gzfile_check_footer(), gzfile_make_footer(), gzfile_new(), gzfile_reset(), gzfile_write(), and rb_gzfile_crc().

rb_econv_t* gzfile::ec

Definition at line 1949 of file zlib.c.

Referenced by gzfile_getc(), gzfile_new(), gzfile_newstr(), gzfile_reset(), and rb_gzfile_ecopts().

int gzfile::ecflags

Definition at line 1950 of file zlib.c.

Referenced by gzfile_new(), gzfile_newstr(), gzfile_reset(), and rb_gzfile_ecopts().

VALUE gzfile::ecopts

Definition at line 1951 of file zlib.c.

Referenced by gzfile_mark(), gzfile_new(), gzfile_newstr(), gzfile_reset(), and rb_gzfile_ecopts().

rb_encoding* gzfile::enc

Definition at line 1947 of file zlib.c.

Referenced by gzfile_getc(), gzfile_new(), gzfile_newstr(), gzfile_reset(), gzreader_charboundary(), gzreader_gets(), and rb_gzfile_ecopts().

rb_encoding* gzfile::enc2

Definition at line 1948 of file zlib.c.

Referenced by gzfile_getc(), gzfile_new(), gzfile_newstr(), gzfile_reset(), rb_gzfile_ecopts(), rb_gzreader_ungetc(), and rb_gzwriter_write().

void(* gzfile::end)(struct gzfile *)

Definition at line 1946 of file zlib.c.

Referenced by gzfile_close(), and gzfile_new().

VALUE gzfile::io

Definition at line 1937 of file zlib.c.

Referenced by gzfile_close(), gzfile_mark(), gzfile_new(), gzfile_read_raw_partial(), gzfile_read_raw_rescue(), gzfile_reader_rewind(), gzfile_s_open(), gzfile_write_raw(), rb_gzfile_close(), rb_gzfile_closed_p(), rb_gzfile_finish(), rb_gzfile_to_io(), rb_gzreader_initialize(), rb_gzwriter_flush(), and rb_gzwriter_initialize().

int gzfile::level

Definition at line 1938 of file zlib.c.

Referenced by gzfile_make_header(), gzfile_new(), gzfile_read_header(), rb_gzfile_level(), and rb_gzwriter_initialize().

int gzfile::lineno

Definition at line 1944 of file zlib.c.

Referenced by gzfile_new(), gzfile_reset(), gzreader_gets(), rb_gzfile_lineno(), and rb_gzfile_set_lineno().

time_t gzfile::mtime

Definition at line 1939 of file zlib.c.

Referenced by gzfile_make_header(), gzfile_new(), gzfile_read_header(), rb_gzfile_mtime(), and rb_gzfile_set_mtime().

VALUE gzfile::orig_name

Definition at line 1941 of file zlib.c.

Referenced by gzfile_close(), gzfile_make_header(), gzfile_mark(), gzfile_new(), gzfile_read_header(), rb_gzfile_orig_name(), and rb_gzfile_set_orig_name().

int gzfile::os_code

Definition at line 1940 of file zlib.c.

Referenced by gzfile_make_header(), gzfile_new(), gzfile_read_header(), and rb_gzfile_os_code().

VALUE gzfile::path

Definition at line 1953 of file zlib.c.

Referenced by gzfile_mark(), gzfile_new(), rb_gzfile_path(), rb_gzreader_initialize(), and rb_gzwriter_initialize().

long gzfile::ungetc

Definition at line 1945 of file zlib.c.

Referenced by gzfile_calc_crc(), gzfile_new(), gzfile_reset(), gzfile_ungetbyte(), and gzfile_ungets().

struct zstream gzfile::z

Definition at line 1936 of file zlib.c.

Referenced by get_gzfile(), gzfile_check_footer(), gzfile_ensure_close(), gzfile_fill(), gzfile_free(), gzfile_getc(), gzfile_make_footer(), gzfile_make_header(), gzfile_mark(), gzfile_new(), gzfile_raise(), gzfile_read(), gzfile_read_all(), gzfile_read_header(), gzfile_read_more(), gzfile_read_raw_ensure(), gzfile_read_raw_until_zero(), gzfile_reader_end(), gzfile_reader_end_run(), gzfile_reader_get_unused(), gzfile_reader_rewind(), gzfile_readpartial(), gzfile_reset(), gzfile_ungetbyte(), gzfile_ungets(), gzfile_write(), gzfile_write_raw(), gzfile_writer_end(), gzfile_writer_end_run(), gzreader_charboundary(), gzreader_gets(), gzreader_skip_linebreaks(), rb_gzfile_set_comment(), rb_gzfile_set_mtime(), rb_gzfile_set_orig_name(), rb_gzfile_set_sync(), rb_gzfile_sync(), rb_gzfile_total_in(), rb_gzfile_total_out(), rb_gzreader_initialize(), rb_gzwriter_flush(), and rb_gzwriter_initialize().

The documentation for this struct was generated from the following file:

- ext/zlib/zlib.c